Cars allowlist / Single Billing Account
Add cars to a Billing Account
Adds one or more cars to the billing account by license number.
Returns HTTP 204 with no response body if all cars were added successfully, or HTTP 207 if
one or more items failed. Check the failures field for any cars that could not be added.
Cars not present in failures were successfully added.
POST
/
api
/
billing-accounts
/
{baId}
/
cars
Add cars to a Billing Account
curl --request POST \
--url https://fleet.staging.ezprk.dev/api/billing-accounts/{baId}/cars \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"licenseNumbers": [
"<string>"
]
}
'import requests
url = "https://fleet.staging.ezprk.dev/api/billing-accounts/{baId}/cars"
payload = { "licenseNumbers": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({licenseNumbers: ['<string>']})
};
fetch('https://fleet.staging.ezprk.dev/api/billing-accounts/{baId}/cars', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"failures": [
{
"licenseNumber": "<string>",
"error": "<string>"
}
]
}{
"type": "https://developer.easyparkgroup.com/openapi/fleet/overview/",
"title": "Forbidden",
"status": 403,
"detail": "Access denied",
"instance": "/api/billing-accounts",
"timestamp": 1771232045624,
"traceId": "55a47f36-cea3-4b01-92b6-8295c02ac302"
}{
"type": "https://developer.easyparkgroup.com/openapi/fleet/overview/",
"title": "Forbidden",
"status": 403,
"detail": "Access denied",
"instance": "/api/billing-accounts",
"timestamp": 1771232045624,
"traceId": "55a47f36-cea3-4b01-92b6-8295c02ac302"
}{
"type": "https://developer.easyparkgroup.com/openapi/fleet/overview/",
"title": "Forbidden",
"status": 403,
"detail": "Access denied",
"instance": "/api/billing-accounts",
"timestamp": 1771232045624,
"traceId": "55a47f36-cea3-4b01-92b6-8295c02ac302"
}⌘I
Add cars to a Billing Account
